declare @uid as varchar(50)
declare @eid as varchar(2)
declare @usu as int
declare @guiPadre as int

select @eid=eid,@uid=seg_usuario.[uid],@usu=id from seg_usuario where id=1 




INSERT INTO [dbo].[gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad]
           ,[esMvc])
select 
           @uid
           ,@eid
           ,@usu
           ,@usu
           ,getdate()
           ,getdate()
           ,1
           ,'Reporte Masivo'
           ,'Reporte Masivo'
           ,'archivos.jpg'
           ,''
           ,''
           ,''
           ,''
           ,0
           ,'pop_reporteMasivo'
           ,'pop_reporteMasivo'
           ,23
           ,id
           ,2
           ,0
		    from gui_funcionalidad where active=1 
and  id_tipoFuncionalidad in(3)
and nombreControl in('doc_documento_ot')
and not exists (select * from gui_funcionalidad temp where temp.active=1 and  temp.id_funcionalidad =gui_funcionalidad.id and nombreComando='pop_reporteMasivo' )










